Hello @endel thanks for your answer, So I deleted node_modules and package-lock.json, reinstalled colyseus.js at its latest version but the error's still there. But I got something interesting: It works with @colyseus/schema 0.4.23 instead of 0.4.29. so I downgraded Schema until I find a solution :)